<?php

require_once 'model/database.php';

class Utils
{
	public $Utils_pdo;    

	public function __CONSTRUCT()
	{
		try
		{
			$this->Utils_pdo = Database::StartUp();     
		}
		catch(Exception $e)
		{
			die($e->getMessage());
		}
	}
	public function mh_listar_actividades($prvCodigo='')
	{

					$sql = "exec sp_mh_codigo_actividad_economica_listar '".$prvCodigo."'";
				
							
					$stm = $this->Utils_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}
	public function mh_listar_departamentos($prvCodigo='')
	{

					$sql = "exec sp_mh_departamento_listar '".$prvCodigo."'";
				
							
					$stm = $this->Utils_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}

	public function mh_listar_municipios($prvCodigo='',$prvDepto='')
	{

					$sql = "exec sp_mh_municipio_listar '".$prvCodigo."','".$prvDepto."'";
				
							
					$stm = $this->Utils_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}
	public function get_clientes()
	{
		$sql = "exec sp_clientes_dame_datos ''";
				
							
		$stm = $this->Utils_pdo->prepare($sql);		
		$stm->execute();
				

		// RETORNANDO LOS RESULTADOS 
		return $stm->fetchAll(PDO::FETCH_OBJ);			

	}

	public function get_items()
	{
		$sql = "exec sp_items_dame_datos ''";
				
							
		$stm = $this->Utils_pdo->prepare($sql);		
		$stm->execute();
				

		// RETORNANDO LOS RESULTADOS 
		return $stm->fetchAll(PDO::FETCH_OBJ);			

	}


	
}